Page MenuHomePhabricator

.updatedmarker is not styled without JavaScript
Closed, ResolvedPublic

Description

.updatedmarker is not styled without JavaScript.

Event Timeline

Nirmos created this task.Jun 9 2016, 1:56 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 9 2016, 1:56 AM
Glaisher added a subscriber: Glaisher.

I cannot reproduce this. It's set purely by CSS, AFAIK. Which skin/browser/site is this?

Hi @Nirmos, thanks for taking the time to report this!
Unfortunately this report lacks some information. If you have time and can still reproduce the problem, please add a more complete description to this report. Ideally, exact and clear steps to reproduce should allow any other person to follow these steps (without having to interpret those steps) and see the same results. Problems that others can reliably reproduce can get fixed faster. Thanks!

matmarex added subscribers: Volker_E, Catrope, matmarex.

I can reproduce this. For users with JavaScript, there's a flash of unstyled content. This is a regression from T134515.

The new style rules were added to the 'mediawiki.action.history' module, which is only loaded via JavaScript, and previously contained only styles related to the JavaScript enhancements of the history page (mostly the radio fields for selecting revisions to compare). They should probably be moved to a new module.

Change 294701 had a related patch set uploaded (by Bartosz Dziewoński):
Split off basic styles from the JavaScript module 'mediawiki.action.history'

https://gerrit.wikimedia.org/r/294701

matmarex triaged this task as Normal priority.Jun 16 2016, 1:15 PM

Change 294701 merged by jenkins-bot:
Split off basic styles from the JavaScript module 'mediawiki.action.history'

https://gerrit.wikimedia.org/r/294701

matmarex closed this task as Resolved.Jun 17 2016, 11:47 AM
matmarex removed a project: Patch-For-Review.